Name:		dmidiplayer
Version:	1.7.5
Release:	%mkrel 2
Summary:	Featured MIDI File Player using Qt6 and Drumstick2
License:	GPLv3
Group:		Sound/Midi
URL:		https://dmidiplayer.sourceforge.io/
Source0:	https://sourceforge.net/projects/dmidiplayer/files/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	cmake(drumstick-file) >= 2.2
BuildRequires:	cmake(drumstick-rt) >= 2.2
BuildRequires:	cmake(drumstick-widgets) >= 2.2
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(uchardet)

%description
Featured MIDI File Player for Linux, Windows, and macOS written in C++,
and using Qt6 and Drumstick2.

The project includes several tools as examples, and among them is the
drumstick-guiplayer utility that leverages the Drumstick::ALSA library,
so it is available only for Linux (because the ALSA sequencer is a linux
only technology).

Some key features:
==================
  * MIDI Output to hardware MIDI ports, or any other Drumstick backend
    like soft synths
  * Transpose song tonality between -12 and +12 semitones
  * Change MIDI volume level (using MIDI CC7)
  * Scale song speed between half and double tempo
  * Lyrics, Piano Player and MIDI Channels views

%prep
%autosetup -p1

%build
%cmake_qt6 -DUSE_QT=6 \
           -DBUILD_DOCS=OFF
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/net.sourceforge.%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg*
%{_metainfodir}/net.sourceforge.%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.7.5-2.mga10
+ Revision: 2234877
- Mageia 10 Mass Rebuild

* Sun Jan 26 2025 daviddavid <daviddavid> 1.7.5-1.mga10
+ Revision: 2142664
- new version: 1.7.5

* Tue Sep 03 2024 daviddavid <daviddavid> 1.7.4-1.mga10
+ Revision: 2092907
- new version: 1.7.4

* Tue Feb 27 2024 daviddavid <daviddavid> 1.7.3-1.mga10
+ Revision: 2044613
- new version: 1.7.3

* Thu Dec 22 2022 daviddavid <daviddavid> 1.7.1-1.mga9
+ Revision: 1925691
- new version: 1.7.1
- switch to Qt6

* Tue Apr 05 2022 umeabot <umeabot> 1.3.0-2.mga9
+ Revision: 1844470
- Mageia 9 Mass Rebuild

* Thu May 20 2021 daviddavid <daviddavid> 1.3.0-1.mga9
+ Revision: 1725756
- initial package dmidiplayer (mga#28946)

